section[role="window"] {
  display: block;
  /* position: absolute; */
  width: 85vw;
  height: 85vh;
  margin-left: 3vw;
  margin-top: 4vh;
  /* left: 3vw; */
  /* top: 10vh; */
  border: solid 1px #D2D2D7;
  border-radius: 1rem;
  box-shadow: 0px 0px 50px 10px black;
}

section[role="main-content"] {
  position: relative;
  display: flex;
  flex-direction: row;
  font-size: 1.6rem;
  color: #FAFAFA;

  .right-content {
    background: rgba(0, 0, 0, 0.07);
    width: 80vw;
    overflow-x: scroll;
    height: 100vh;
    overflow-y: hidden;
  }
}

.closing-x::before {
  content: "";
  background: url(../svg/x-1.svg) no-repeat;
  background-position: center center;
  /* background-size: 1.5rem; */
  position: absolute;
  top: 1rem;
  left: 1rem;
  cursor: pointer;
  width: 2rem;
  height: 2rem;
  border: solid 1px #FAFAFA;
  border-radius: 50%;
  transition: color 0.25s cubic-bezier(0.215, 0.610, 0.355, 1.000);
}

.closing-x:hover::before {
  content: "";
  background: url(../svg/x-2.svg) no-repeat;
  background-position: center center;
  /* background-size: 1.5rem; */
  position: absolute;
  top: 1rem;
  left: 1rem;
  cursor: pointer;
  width: 2rem;
  height: 2rem;
  border: solid 1px #ACACAC;
  border-radius: 50%;
}

aside {
  background: rgba(255, 255, 255, 0.15);
  width: 20vw;
  height: 84.75vh;
  border-radius: 1rem 0 0 0;
  padding: 6rem 0rem 1rem 1rem;
  border-right: solid 1px #D2D2D7;
  overflow-x: scroll;
  overflow-y: scroll;

  summary {
    margin-bottom: 0.5rem;
    white-space: nowrap;

    /* svg {
      position: absolute;
      padding-top: 0.5rem;
      transform: scale(1.275);
      color: dodgerblue;
      width: 2rem;
      height: 2rem;
    } */
  }

  details summary::marker,
  :is(::-webkit-details-marker) {
    content: "";
  }

  details summary::before {
    content: "";
    width: 1.25rem;
    height: 1.25rem;
    display: inline-block;
    background: url(../svg/chevron-right.svg) no-repeat center left;
    background-size: 1.25rem auto;
    cursor: pointer;
  }

  details[open]>summary::before {
    content: "";
    width: 1.25rem;
    height: 1.25rem;
    display: inline-block;
    background: url(../svg/chevron-down.svg) no-repeat center left;
    background-size: 1.25rem auto;
  }

  summary:not(.has-subfolder)::before {
    content: "";
    background: none;
  }

  details[open]>summary:not(.has-subfolder)::before {
    content: "";
    background: none;
  }

  details details {
    padding-left: .75rem;
  }

  a {
    display: inline flex;
    background: url(../svg/folder.svg) no-repeat;
    background-position: 0% 65%;
    padding-left: 2.1rem;
    background-size: 1.6rem auto;
  }
}

.title-bar {
  height: 5.5vh;
  min-height: 30px;
  padding-left: 1.25rem;
  display: flex;
  flex-direction: row;
  align-items: center;
  position: relative;
  border-bottom: solid 1px #D2D2D7;
  overflow-x: scroll;
  scrollbar-width: thin;

  svg {
    position: absolute;
    color: dodgerblue;
    width: 2rem;
    height: 2rem;
  }

  li {
    padding-left: 0.5rem;
    display: flex;
    flex-direction: row;

    span {
      padding-left: 0.5rem;
    }
  }

  li:first-of-type {
    display: none;
  }

  li:nth-child(3) {
    padding-left: 2.5rem;
  }

  li:last-of-type {
    padding-right: 1.25rem;

    span {
      display: none;
    }
  }
}

.content-display {
  overflow-y: hidden;
  overflow-x: scroll;
  padding: 2rem;
  height: 76.5vh;
}

.images-display {
  /* background-color: red; */
  display: flex;
  flex-direction: row;
  height: 55%;
  gap: 2rem;
  padding-bottom: 1rem;

  img {
    display: block;
    height: 100%;
  }
}

.text-display {
  margin-top: 1rem;

  h1 {
    max-width: 50rem;
    font-size: 2.5rem;
    line-height: calc(2.5rem * 1.2);
    font-weight: 600;
    margin-bottom: 1rem;
  }

  h2 {
    font-size: 1.4rem;
    margin-bottom: 1.5rem;

    span {
      white-space: nowrap;

    }
  }

  .project-description {
    width: 1000px;
    display: flex;
    flex-direction: row;
    /* display: grid; */
    /* grid-template-columns: 25rem 1fr; */
  }

  h3 {
    /* min-width: 22.5rem; */
    width: auto;
    min-width: 15rem;
    max-width: 30ch;
    margin-right: 2rem;
    font-size: 1.4rem;
    line-height: calc(1.4rem * 1.2);
    /* text-align: justify; */
    word-break: normal;
    hyphens: auto;
  }

  p {
    max-height: 15rem;
    -webkit-columns: 45ch auto;
    columns: 45ch auto;
    gap: 1.5rem;
    line-height: calc(1.6rem * 1.2);
    text-align: justify;
    text-wrap: balance;
    /* word-break: normal; */
    hyphens: auto;
    orphans: 7;
    /* widows: 2; */
  }
}

.infos-bar {
  height: 2.75vh;
  min-height: 10px;
  font-size: 1.4rem;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  position: relative;
  border-top: solid 1px #D2D2D7;
}